Bug 256697 - math/libnormaliz: Install header files, Update to 3.8.10
Summary: math/libnormaliz: Install header files, Update to 3.8.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thierry Thomas
URL: https://github.com/Normaliz/Normaliz/...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-06-18 18:47 UTC by Philipp Ost
Modified: 2021-06-20 13:10 UTC (History)
3 users (show)

See Also:
moritz: maintainer-feedback+


Attachments
Install missing header files. (2.61 KB, patch)
2021-06-18 18:47 UTC, Philipp Ost
no flags Details | Diff
Update to version 3.8.10, install missing header files (3.12 KB, patch)
2021-06-19 19:39 UTC, Philipp Ost
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Ost 2021-06-18 18:47:49 UTC
Created attachment 225911 [details]
Install missing header files.

This patch installs additional header files which are currently not installed.
Comment 1 Moritz Schmitt 2021-06-18 20:48:51 UTC
Thanks for the patch.

This looks all good to me. Could someone please commit this?
Comment 2 Daniel Engberg 2021-06-18 21:18:23 UTC
Perhaps bump to 3.8.10 while at it?
https://github.com/Normaliz/Normaliz/releases
Comment 3 Philipp Ost 2021-06-19 19:39:30 UTC
Created attachment 225936 [details]
Update to version 3.8.10, install missing header files

Updated patch: Update to version 3.8.10

Edited the title to reflect the change.
Comment 4 Thierry Thomas freebsd_committer 2021-06-20 13:09:56 UTC
Committed, thanks! but I have two remarks:

1) configure tries to detect math/arb , math/nauty and math/e-antic (when FLINT is selected, nauty is added as a ghost dependency): it would be fine to add options to control that.

2) it would also be fine to provide a shared library.
Comment 5 commit-hook freebsd_committer 2021-06-20 13:10:30 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1d6bf6423e92c3cf6c91b1d759f24ee2f4038ced

commit 1d6bf6423e92c3cf6c91b1d759f24ee2f4038ced
Author:     Thierry Thomas <thierry@FreeBSD.org>
AuthorDate: 2021-06-20 13:03:04 +0000
Commit:     Thierry Thomas <thierry@FreeBSD.org>
CommitDate: 2021-06-20 13:08:16 +0000

    math/libnormaliz: update to version 3.8.10, install missing header files

    - Install additional header files which are currently not installed

    - Upgrade to 3.8.10
    Release notes at <https://github.com/Normaliz/Normaliz/releases/tag/v3.8.10>.

    PR:             256697
    Reported by:    Philipp Ost
    Approved by:    maintainer (moritz)

 math/libnormaliz/Makefile  | 24 +++++++++++++++++++++---
 math/libnormaliz/distinfo  |  6 +++---
 math/libnormaliz/pkg-plist | 20 +++++++++++++++++++-
 3 files changed, 43 insertions(+), 7 deletions(-)